View Issue Details

IDProjectCategoryView StatusLast Update
0013297ScribusCanvaspublic2016-09-23 17:20
ReporterPeterBenedek Assigned To 
PrioritylowSeverityfeatureReproducibilityalways
Status newResolutionopen 
Summary0013297: [Feature] Color Code Master Pages like in Layers dialog (mockup included)
DescriptionCloned from 0013200
TagsNo tags attached.
PatchNo

Relationships

related to 0013200 closedcbradney New theme --> master page name does not appear 
related to 0009948 assignedjghali Arrange pages dialog: no visual link between page and master page (1.4.03rc) 
related to 0010038 new allow horizontal flatpans on Canvas / Arrange Pages 
related to 0004170 acknowledged Custom guides colors 
related to 0013927 new Make better use of available horizontal space for document pages in "Arrange Pages" (display master page names on the sides) 
related to 0011667 new Page manager : provide visual feedback when draging masterpage on page thumbnail 
child of 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

2015-08-14 14:04

 

ColorMasterPages.png (57,684 bytes)   
ColorMasterPages.png (57,684 bytes)   

PeterBenedek

2015-08-14 14:53

developer   ~0036022

Picture available.

PeterBenedek

2015-08-14 14:53

developer   ~0036023

Master page name (subtitle) small, if too long, you can not read, so it would be better marked colors! Such as layers.

Kunda

2015-08-14 14:53

updater   ~0036024

ooooh.. I likey.
Color coding makes it SUPER easy to identify quickly. But this is something that looks like some work to implement :(

fschmid

2015-08-16 07:47

administrator   ~0036045

Just committed a first try on implementing this feature.

jghali

2015-08-16 13:25

administrator   ~0036046

On Windows, this results in a pretty unreadable mess. See uploaded screenshot.

A few remarks :
- colors now feels at odd with the monochrome icon set
- with specific user theme it may happen that colored text may be unreadable on specific window background. So I'd avoid using any non default color for text in palettes. We already had that problem in the past for story editor.

A solution might be having master pages represented by letters. In the case of a facing pages document starting by a right page we'd have at the top of the palette something like:
A - Normal Left
B - Normal Right

In the bottom page list, the text inside page icon would be replaced by something like
1 - B (or B - 1?)
2 - A
3 - B
4 - A
etc...

PeterBenedek

2015-08-16 14:00

developer   ~0036047

Last edited: 2015-08-16 14:03

Yes, I use now this.
I made 300 page book. Colors will help me better see through document structure.

ale

2015-08-17 07:45

manager   ~0036052

i agree with jean, color names feel wrong to me, too.

PeterBenedek

2015-08-17 10:41

developer  

ColorMasterPages_2.png (44,150 bytes)   
ColorMasterPages_2.png (44,150 bytes)   

PeterBenedek

2015-08-17 10:42

developer   ~0036053

Last edited: 2015-08-17 11:50

So it is not possible?

ale

2015-08-17 15:38

manager   ~0036055

peter, as far as i understand it, it's already in trunk... but it's imo a bad idea to put colors everywhere.

there is a problem, and the problem is that it's hard to know which template is applied to which page.

adding colors is a straight forward workaround but in my eyes not the first part of the solution.

and if you're curious: the in my eyes, the first part of the solution, is to have double sided master pages (when the document / section) is double sided.
the master pages should then be shown on screen as double pages are shown.
there are good changes that you will then have half as much MPs and their name will be half as long...
IMO a step in the right direction and would probably help you better guess which MP is where.
further steps might be necessary.
(and, at the end, if the problem persists... why not adding colors?)

ale

2015-08-17 15:39

manager   ~0036056

p.s.: the solution with the color boxes on the right is already ways better than the one with the colored names...
but i still think that we should first solve the problem with the number of MPs and the length of their names. first.

cbradney

2015-08-17 20:59

administrator   ~0036059

Colours are wrong, there's only a limit and the main distinct colours are garish magenta, cyan, yellow etc.. too ugly. A,B,C, etc should be easier with that tag in the Master Page dialog.

PeterBenedek

2015-08-18 08:32

developer   ~0036065

Last edited: 2015-08-19 09:46

Similar function (InDesign)
http://indesignsecrets.com/keep-your-pages-in-order-with-color-labels.php

I created a new pattern.
Cbradney, you dislike it?

PeterBenedek

2015-08-19 08:03

developer  

example.png (22,219 bytes)   
example.png (22,219 bytes)   

Kunda

2015-09-26 20:44

updater   ~0036395

This feature was removed from trunk in r20390.

Kunda

2015-10-02 23:09

updater   ~0036481

Craig, jghali, GregP, see 0013297:0036065 and also the last attachment. Any comments?

JLuc

2015-10-06 15:43

updater   ~0036527

Last drawing proposal makes the best of text titles and color marks.

It would make this palette easyer to manage efficiently.

cbradney

2015-10-06 19:03

administrator   ~0036528

The colour labels are fine. The current drawing of the master pages in the dialog is broken and cannot just be applied. The code needs rewriting. If there is to be an indication on canvas, then another method compared to what was previously presented also needs finding (no horrible background colour change). Also, some decent colours need choosing like those in ID. The basic colours as presented in Scribus are also terrible.

Kunda

2016-04-28 15:04

updater   ~0040576

A proposal (0013927) that would help this ticket become realized. Of course it seems per cbradney:
>> The current drawing of the master pages in the dialog is broken and cannot just be applied. The code needs rewriting.

Issue History

Date Modified Username Field Change
2015-08-14 14:53 Kunda New Issue
2015-08-14 14:53 Kunda Status new => assigned
2015-08-14 14:53 Kunda Assigned To => cbradney
2015-08-14 14:53 Kunda Issue generated from: 0013200
2015-08-14 14:53 Kunda Relationship added related to 0013200
2015-08-14 14:55 Kunda Reporter Kunda => PeterBenedek
2015-08-14 14:55 Kunda Assigned To cbradney =>
2015-08-14 14:55 Kunda Priority normal => low
2015-08-14 14:55 Kunda Severity minor => feature
2015-08-14 14:55 Kunda Status assigned => new
2015-08-14 14:55 Kunda OS Linux Mint =>
2015-08-14 14:55 Kunda OS Version 17 (32bit) =>
2015-08-14 14:55 Kunda Platform x86 =>
2015-08-14 14:55 Kunda Summary Color Code Master Pages like in Layers dialog (mockup included) => [Feature] Color Code Master Pages like in Layers dialog (mockup included)
2015-08-14 14:57 Kunda File Deleted: newTheme.jpg
2015-08-14 14:57 Kunda File Deleted: newTheme_perfect.jpg
2015-08-16 07:47 fschmid Note Added: 0036045
2015-08-16 13:13 jghali File Added: pagepalette_win.png
2015-08-16 13:25 jghali Note Added: 0036046
2015-08-16 14:00 PeterBenedek Note Added: 0036047
2015-08-16 14:01 PeterBenedek Note Edited: 0036047
2015-08-16 14:03 PeterBenedek Note Edited: 0036047
2015-08-17 07:45 ale Note Added: 0036052
2015-08-17 10:41 PeterBenedek File Added: ColorMasterPages_2.png
2015-08-17 10:42 PeterBenedek Note Added: 0036053
2015-08-17 11:50 PeterBenedek Note Edited: 0036053
2015-08-17 15:38 ale Note Added: 0036055
2015-08-17 15:39 ale Note Added: 0036056
2015-08-17 20:59 cbradney Note Added: 0036059
2015-08-18 08:32 PeterBenedek Note Added: 0036065
2015-08-18 08:33 PeterBenedek Note Edited: 0036065
2015-08-19 08:03 PeterBenedek File Added: example.png
2015-08-19 08:06 PeterBenedek Note Edited: 0036065
2015-08-19 08:11 PeterBenedek Note Edited: 0036065
2015-08-19 09:46 PeterBenedek Note Edited: 0036065
2015-09-26 20:44 Kunda Note Added: 0036395
2015-10-02 23:09 Kunda Note Added: 0036481
2015-10-06 15:43 JLuc Note Added: 0036527
2015-10-06 19:03 cbradney Note Added: 0036528
2016-01-19 20:04 Kunda Relationship added related to 0004170
2016-04-07 20:34 Kunda Relationship added related to 0013927
2016-04-07 20:35 Kunda Relationship added child of 0003837
2016-04-07 20:36 Kunda Relationship added related to 0009948
2016-04-28 15:04 Kunda Note Added: 0040576
2016-05-09 16:31 Kunda Relationship added related to 0010038
2016-09-23 17:20 PeterBenedek Relationship added related to 0011667
2016-09-23 19:20 PeterBenedek File Deleted: pagepalette_win.png